//
//  RCTMediaPlayer.h
//  RCTOMPlayer
//
//  Created by lcg on 2017/7/13.
//  Copyright © 2017年 Anren. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "RCTMediaPlayerDelegate.h"

@interface RCTMediaPlayer : NSObject

@property (nonatomic, weak) id<RCTMediaPlayerDelegate> delegate;
@property (nonatomic, strong) NSString* src;
@property (nonatomic, strong) NSString* cookie;
@property (nonatomic, strong) NSString* displayText;
@property (nonatomic, strong) NSString* orientation;
@property (nonatomic, assign) BOOL repeat;
@property (nonatomic, assign) BOOL paused;
@property (nonatomic, assign) BOOL muted;
@property (nonatomic, assign) BOOL fullscreen;
@property (nonatomic, assign) float volume;
@property (nonatomic, assign) float rate;
@property (nonatomic, assign) float displayDelay;
@property (nonatomic, assign) float displayTextSize;
@property (nonatomic, assign) float currentTime;
@property (nonatomic, weak) UIView* parent;

- (void)stop;

@end
