//
//  RCTAudioManager.m
//  RCTOMPlayer
//
//  Created by lcg on 2017/7/13.
//  Copyright © 2017年 Anren. All rights reserved.
//

#import "RCTVideoModule.h"

__weak static UIView * _fullScreenManagerRef = nil;
@interface RCTVideoModule()
{
}
@end

@implementation RCTVideoModule

- (instancetype)init
{
    return self;
}

+(void)setFullScreenView: (UIView *)fullScreenView
{
    _fullScreenManagerRef = fullScreenView;
}

RCT_EXPORT_MODULE(OMVideoPlayerManager);

RCT_EXPORT_METHOD(hideFullScreenView)
{
    dispatch_sync(dispatch_get_main_queue(), ^{
        [_fullScreenManagerRef removeFromSuperview];
    });
}

@end
