//
//  RCTMediaPlayerDelegate.h
//  RCTOMPlayer
//
//  Created by lcg on 2017/7/13.
//  Copyright © 2017年 Anren. All rights reserved.
//

#ifndef RCTMediaPlayerDelegate_h
#define RCTMediaPlayerDelegate_h

@protocol RCTMediaPlayerDelegate <NSObject>

@required

- (void)OnLoadStart:(NSDictionary*)info;
- (void)OnLoad:(NSDictionary*)info;
- (void)OnLoadStalled;
- (void)OnLoadResume;
- (void)OnError:(NSDictionary*)info;
- (void)OnProgress:(NSDictionary*)info;
- (void)OnSeek:(NSDictionary*)info;
- (void)initTimer;
- (void)removePlayerTimer;
- (void)OnEnd;
- (void)OnReayForPlay;
- (void)OnPlaybackStalled;
- (void)OnPlaybackResume;
- (void)OnPlaybackRateChange:(NSDictionary*)info;

@end


#endif /* RCTMediaPlayerDelegate_h */
