//
//  RCTToolbarDelegate.h
//  RCTOMPlayer
//
//  Created by lcg on 2017/7/14.
//  Copyright © 2017年 Anren. All rights reserved.
//

#ifndef RCTToolbarDelegate_h
#define RCTToolbarDelegate_h

@protocol RCTToolbarDelegate <NSObject>

@required

- (void)play;
- (void)pause;
- (void)rate:(float)rate;
- (void)rated:(BOOL)rated;
- (void)expand;
- (void)setRateBtnState;
- (void)shrink;
- (void)turnLandscapeRight: (BOOL)goRight;
- (void)setFullscreen: (BOOL)fullscreen;
- (void)setFullscreenDirectionAuto: (NSString *) orient;
- (void)seekTo:(float)currentTime;
@end

#endif /* RCTToolbarDelegate_h */
